package com.hys.app.model.erp.dto;

import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 库存盘点单查询参数实体
 *
 * @author dmy
 * 2023-12-05
 */
@Data
public class StockInventoryParam extends BaseQueryParam implements Serializable {

    private static final long serialVersionUID = 8262063047050222023L;

    @ApiModelProperty(name = "start_time", value = "开始时间")
    private Long startTime;

    @ApiModelProperty(name = "end_time", value = "结束时间")
    private Long endTime;

    @ApiModelProperty(name = "warehouse_id", value = "仓库ID")
    private Long warehouseId;

    @ApiModelProperty(name = "inventory_person_id", value = "盘点人ID", required = true)
    private Long inventoryPersonId;

}
